       subroutine clin1d(x,z,xi,zi,zxi) 
  
c***********************************************************************
c      Complex LINear interpolation 1D 
c      Written by Orlando Camargo Rodriguez
c      orodrig@ualg.pt
c      Universidade do Algarve
c      Physics Department
c      Signal Processing Laboratory
c      Faro, 08/10/2010 at 18:30
c****&******************************************************************

       real*8 x(2)
       real*8 xi,x1,x2

       complex*16 z(2)
       complex*16 zi,zxi,z1,z2
       
c***********************************************************************

       x1 = x(1)
       x2 = x(2)
       
       z1 = z(1)
       z2 = z(2) 
       
       zxi = (z2-z1)/(x2-x1)
       
       zi  = z1 + (xi-x1)*zxi
 
c***********************************************************************
c      Back to main:
c***********************************************************************        
       
       return 
       
       end

