       subroutine reflct( normal, taui, taur , theta )
	  
c***********************************************************************
c      Specular reflection in vector form
c      Written by Orlando Camargo Rodriguez
c      orodrig@ualg.pt
c      Universidade do Algarve
c      Physics Department
c      Signal Processing Laboratory
c      Faro, 01/08/2010 at 18:30
c****&******************************************************************
       
       integer*4 i
       
       real*8 normal(2),taui(2),taur(2)
       
       real*8 c,theta
       
c***********************************************************************
       
       call dot(normal,taui,c)
       
       taur(1) = taui(1) - 2.0*c*normal(1)
       taur(2) = taui(2) - 2.0*c*normal(2)
       
       call dot(normal,taur,c)
       
       theta = acos(c)
       
       return 
       
       end
       
c***********************************************************************
